Advance Simulation Time

View as Markdown
Advance simulation virtual clock. All subscription evaluations and state changes happen synchronously within a single transaction. No async workflows are triggered.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

external_idstringRequired

Request

This endpoint expects an object.
target_timedatetime or nullOptional
Target virtual time to advance to
duration_daysinteger or nullOptional

Number of days to advance (alternative to target_time)

duration_hoursinteger or nullOptional

Number of hours to advance (alternative to target_time)

Response

Successful Response
simulation_idstring
new_virtual_clockdatetime
from_timedatetime
to_timedatetime
subscriptions_evaluatedinteger
events_recordedinteger

Errors

422
Unprocessable Entity Error